<template>
  <v-toolbar tile dense>
    <v-btn depressed large tile @click="() => this.$emit('menu-new')">
      <v-icon>
        mdi-plus
      </v-icon>
      <div style="width: 7px"> &nbsp;</div>
      New
    </v-btn>
    <v-btn depressed large tile @click="() => this.$emit('menu-open')">
      <v-icon color="#67f5a4">
        mdi-folder-outline
      </v-icon>
      <div style="width: 7px"> &nbsp;</div>
      Open
    </v-btn>
    <v-btn depressed large tile @click="saveProject">
      <v-icon color="#67c6f5">
        mdi-content-save-outline
      </v-icon>
      <div style="width: 7px"> &nbsp;</div>
      Save
    </v-btn>
    <!--
    <v-btn depressed large tile>
      <v-icon color="#678bf5">
        mdi-content-save-all-outline
      </v-icon>
      <div style="width: 7px"> &nbsp;</div>
      Save As
    </v-btn>
    <v-btn depressed large tile>
      <v-icon color="#d5e35b">
        mdi-export-variant
      </v-icon>
      <div style="width: 7px"> &nbsp;</div>
      Export
    </v-btn>-->
  </v-toolbar>
</template>

<script>

import {AppContext} from '@/utils';

export default {
  name: "File",
  data: () => ({}),
  methods: {
    saveProject() {
      AppContext.currentProject.Save()
    }
  }
}
</script>
